﻿using System.Linq;

namespace HeuristicLab.Tests.Benchmark
{
    public static class ExampleConverter
    {
        private const char ArrayValueSeparator = ' ';

        private static readonly char[] arraySymbolTrim = new[] { '[', ']' };


        public static long Integer(string str)
        {
            return long.Parse(str);
        }

        public static long[] Integers(string str)
        {
            var values = str
                .Trim(arraySymbolTrim)
                .Split(ArrayValueSeparator)
                .Where(s => !string.IsNullOrWhiteSpace(s))
                .ToList();

            var result = new long[values.Count];

            for (var i = 0; i < result.Length; i++)
            {
                result[i] = Integer(values[i]);
            }

            return result;
        }
    }
}
